<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
//  hier die Weblinkkategory-ID definieren
define ('STARTPAGECATEGORY',  1);
define ('MAXLINKS',           7);
define ('MAXLINKSTRINGLEN',  30);

$sThisPanel = 'link_panel';

if (file_exists (INFUSIONS.$sThisPanel.'/locale/'.$settings['locale'].'.php'))
	include INFUSIONS.$sThisPanel.'/locale/'.$settings['locale'].'.php';
else
	include INFUSIONS.$sThisPanel.'/locale/English.php';

//  wie schauen, ob es diese ID noch gibt
$result = dbquery ('SELECT * FROM '.$db_prefix.'weblink_cats as c where c.weblink_cat_id='.STARTPAGECATEGORY);
$data   = dbarray ($result);

if ($data) {
  //  ja, Kategorie-ID existiert
  $weblink_cat_id = STARTPAGECATEGORY;
}
else {
  //  nein, wir nehmen die kleinste
  $result         = dbquery ('SELECT min(weblink_cat_id) as weblink_cat_id FROM '.$db_prefix.'weblink_cats');
  $data           = dbarray ($result);
  $weblink_cat_id = $data['weblink_cat_id'];
}  

openside (LIN_001);
$result = dbquery ('SELECT * FROM '.$db_prefix.'weblinks as l,  '.$db_prefix.'weblink_cats as c '.
                   'where l.weblink_cat='.$weblink_cat_id.' and l.weblink_cat=c.weblink_cat_id '.
                   'and '.groupaccess ('weblink_cat_access').' '.
                   'order by c.weblink_cat_sorting limit 0,'.MAXLINKS);
$sQry =            'SELECT * FROM '.$db_prefix.'weblinks as l,  '.$db_prefix.'weblink_cats as c '.
                   'where l.weblink_cat='.$weblink_cat_id.' and l.weblink_cat=c.weblink_cat_id '.
                   'order by c.weblink_cat_sorting limit 0,'.MAXLINKS;
$bNoAccess  =      dbrows ($result) != dbrows (dbquery ($sQry));

echo '<table width="100%" cellpadding="0" cellspacing="0"><tr><td class="side-body">';

if ($bNoAccess) {
  echo '<p class="side">'.LIN_002.'</p>';
}
else {
  while ($data = dbarray ($result)) {
    $sLinkName    = MAXLINKSTRINGLEN && strlen ($data['weblink_name']) > MAXLINKSTRINGLEN ? 
                    substr ($data['weblink_name'], 0, MAXLINKSTRINGLEN-3).'...' : $data['weblink_name'];  
    $sDescription = stripslashes ($data['weblink_description']);
    
    if (!strlen ($sDescription))
      $sDescription = $data['weblink_name'];
       
    echo  '<img src="'.THEME.'images/bullet.gif" alt=""> '. 
          '<a href="'.BASEDIR.'weblinks.php?weblink_id='.$data['weblink_id'].'" class="side" target="_blank" title="'.
          $sDescription.'">'.$sLinkName.'</a><br />';
  }
}
echo '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.'weblinks.php">'.LIN_003.'</a>';
echo '</td></tr></table>';
closeside ();
?>
